org.apache.solr.handler.component

## Class SearchHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.component.SearchHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler, PermissionNameProvider, PluginInfoInitialized, SolrCoreAware
  Direct Known Subclasses:
    RealTimeGetHandler, StandardRequestHandler

      public class SearchHandler
      extends RequestHandlerBase
      implements SolrCoreAware, PluginInfoInitialized, PermissionNameProvider

  Refer SOLR-281

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.security.PermissionNameProvider

      `PermissionNameProvider.Name`

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<SearchComponent>` | `components`

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.security.PermissionNameProvider

      `ANY, NULL, values`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SearchComponent>` | `getComponents()`
    `protected List<String>` | `getDefaultComponents()`
    `String` | `getDescription()` Simple one or two line description
    `PermissionNameProvider.Name` | `getPermissionName(AuthorizationContext ctx)`
    `void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`
    `void` | `inform(SolrCore core)` Initialize the components based on name.
    `void` | `init(PluginInfo info)`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getCategory, getDocs, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, getSubHandler, getVersion, handleRequest, init, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### components

          protected volatile List<SearchComponent> components

  - ### Constructor Detail

    - #### SearchHandler

          public SearchHandler()

  - ### Method Detail

    - #### getDefaultComponents

          protected List<String> getDefaultComponents()

    - #### init

          public void init(PluginInfo info)

      Specified by:
        `init` in interface `PluginInfoInitialized`

    - #### getPermissionName

          public PermissionNameProvider.Name getPermissionName(AuthorizationContext ctx)

      Specified by:
        `getPermissionName` in interface `PermissionNameProvider`

    - #### inform

          public void inform(SolrCore core)

      Initialize the components based on name. Note, if using `INIT_FIRST_COMPONENTS` or `INIT_LAST_COMPONENTS`, then the `DebugComponent` will always occur last. If this is not desired, then one must explicitly declare all components using the `INIT_COMPONENTS` syntax.
      Specified by:
        `inform` in interface `SolrCoreAware`

    - #### getComponents

          public List<SearchComponent> getComponents()

    - #### handleRequestBody

          public void handleRequestBody(SolrQueryRequest req,
                                        SolrQueryResponse rsp)
                                 throws Exception

      Specified by:
        `handleRequestBody` in class `RequestHandlerBase`
      Throws:
        `Exception`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `RequestHandlerBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.